int LED = 7; 
int buzzer = 4;
int value;

bool actionA;
bool actionB;
bool actionC;
bool actionD;

void setup() {
  Serial.begin(9600);
  
  pinMode(LED, OUTPUT);
  digitalWrite(LED, LOW);
  pinMode(buzzer, OUTPUT);
  digitalWrite(buzzer, LOW);
  
  //Setup Channel A
  pinMode(12, OUTPUT); 
  pinMode(9, OUTPUT); 

  //Channel A
  digitalWrite(12, HIGH);
  digitalWrite(9 ,HIGH);
  
  //Setup Channel B
  pinMode(13, OUTPUT); 
  pinMode(8, OUTPUT); 

  //Channel B
  digitalWrite(13, LOW);
  digitalWrite(8,HIGH);
}

void loop() {

  digitalWrite(12,HIGH);
  digitalWrite(9,LOW);
  digitalWrite(3,100);

  digitalWrite(13,LOW);
  digitalWrite(8,LOW);
  digitalWrite(11,100);


  
  if(Serial.available()>0){
    value = Serial.read();
    
    Serial.println("aktueller Wert:");
    Serial.println(value);

    evaluateValue(value);
    
  }
  
  runActivityA();
  runActivityB();
  runActivityC();
  runActivityD(); 
}

void evaluateValue(int tmpValue) {
  if(tmpValue >= 8) {
      tmpValue -= 8;
      actionD = true;
      Serial.println("Action D");
    } else {
      actionD = false;
    }

    if(tmpValue >= 4) {
      tmpValue -= 4;
      actionC = true;
      Serial.println("Action C");
    } else {
      actionC = false;
    }

    if(tmpValue >= 2) {
      tmpValue -= 2;
      actionB = true;
      Serial.println("Action B");
    } else {
      actionB = false;
    }

    if(tmpValue >= 1) {
      tmpValue -= 1;
      actionA = true;
      Serial.println("Action A");
    } else {
      actionA = false;
    }
}

void runActivityA() {
  if(actionA == true){
    digitalWrite(LED, HIGH);
  }
  else{
    digitalWrite(LED, LOW);
  }
}

void runActivityB() {
  if(actionB==true){
    digitalWrite(12, HIGH);
    digitalWrite(9,LOW);
    analogWrite(3,100);
  }
  else{
    digitalWrite(12, LOW);
    digitalWrite(9, HIGH);
  }
}

void runActivityC() {
  if(actionC==true){
    digitalWrite(13, HIGH);
    digitalWrite(8, LOW);
    analogWrite(11, 100);
  }
  else{
    digitalWrite(13, LOW);
    digitalWrite(8, HIGH);
  }
}

void runActivityD() { 
  if(actionD==true){
    tone(buzzer,459000, 500);
  }
  else{
    tone(buzzer,LOW, 500);
  }
}
